Description

Hi guys

is LDAP group authentication possible with redmine ? ,because im trying to put Idap filer to get Idap group authentication working
,out when i try to setup Idap filter it says filter is wrong, is there any special syntax need to follow , please let me know is there any
way to achieve LDAP group authentication.

These are my settings ,

Name :LDAP Authentication

Host : Idap.ihx.com

Port :389
Account:cn=admin,dc=Idap,dc=ihk,dc=com
Password:abc

Base DN :dc=Idap,dc=ihk,dc=com

LDAP filter :

These are the Idap filters that i used ,

(&(mail=%s)(memberOf=cn=employees,dc=Idap,dc=ihk,dc=com))
(&(mail=*)(memberOf=cn=employees,dc=Idap,dc=ihk,dc=com))

Thanks you
John

History

#1 - 2012-11-26 05:37 - john val
Hi... guys ..

any update on this .. is this feature availbe in new redmine 2.1.2

#2 - 2013-09-21 12:42 - Paulo Neves

Have you tried running it with manually with [dapsearch? (Assuming you are on *nix)

#3 - 2014-11-12 07:44 - Nikolay Didenko

It does not work for me on redmine 2.6.0.

My filter is "(&(objectClass=posixAccount)(sambaAcctFlags=[U )" - active users only
| was also using next filters:

&(objectClass=posixAccount)(sambaAcctFlags=[U D

(sambaAcctFlags=[U )]

sambaAcctFlags=[U ]

When i save settings with these filters | get error "LDAP filter is invalid".

#4 - 2014-11-12 21:40 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

According to ruby net/ldap which is used by Redmine, this filter is invalid:
irb(main) : 001:0> require 'net/ldap'

=> true
irb(main) :002:0> £ = " (& (objectClass=posixAccount) (sambaAcctFlags=[U ]))"
=> " (& (objectClass=posixAccount) (sambaAcctFlags=[U ]))"

irb(main) :003:0> Net::LDAP::Filter.construct f
Net::LDAP::LdapError: Invalid filter syntax.

[U ] seems to be the problem.
#5 - 2014-11-13 06:40 - Nikolay Didenko
Jean-Philippe Lang wrote:
According to ruby net/ldap which is used by Redmine, this filter is invalid:

(-]

[U ] seems to be the problem.

strange behavior of ruby net/ldap module... :(

rugionpro:releases n$ ldapsearch -LLL -h localhost -p 2389 -z 1 -x -b "dc=rugion,dc=ru" -s sub ' (&(objectClass
=posixAccount) (sambaAcctFlags=[U 1))" "dn"
dn: *****************,dc=rugion,dc=ru

PS: | am using this filter in Apache Http server, some other applications successfully.

It is a bug in net/ldap - https://github.com/ruby-ldap/ruby-net-ldap/pull/157

2025-05-02 22


https://github.com/ruby-ldap/ruby-net-ldap/pull/157
http://www.tcpdf.org

